API reference / Promo videos
Load a promo video
GET
/api/v1/promovideo/loadParameters
generationIdqueryrequiredstring · uuid
variantIdqueryoptionalstring · uuid
languagequeryoptional"en" | "en-GB" | "en-AU" | "en-CA" | "es" | "es-MX" | "fr" | "fr-CA" | "de" | "it" | "pt" | "pt-BR" | "ja" | "ko" | "zh-CN" | "zh-TW" | "nl" | "ru" | "ar" | "tr" | "pl" | "sv" | "no" | "da" | "fi" | "cs" | "hi" | "hu" | "ro" | "uk" | "el" | "he" | "id" | "ms" | "th" | "vi" | "hr" | "sk" | "ca"
Request example
Set ALF_API_URL to https://dashboard.applaunchflow.com/api/v1 and ALF_API_KEY to your key. Replace sample IDs with your project’s values.
cURL
curl --request GET \
--url "$ALF_API_URL/promovideo/load?generationId=11111111-1111-4111-8111-111111111111" \
--header "Authorization: Bearer $ALF_API_KEY"Response
Successful JSON responses wrap the result in data, with a request ID in meta.requestId.
projectdatarequiredobject | null
languagedataoptionalstring
sourceLanguagedataoptionalstring
availableLanguagesdataoptionalstring[]
View response schema
{
"type": "object",
"required": [
"data",
"meta"
],
"properties": {
"data": {
"$schema": "https://json-schema.org/draft/2020-12/schema",
"type": "object",
"properties": {
"project": {
"anyOf": [
{
"type": "object",
"properties": {
"id": {
"type": "string",
"format": "uuid",
"pattern": "^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$"
},
"variant_id": {
"anyOf": [
{
"type": "string",
"format": "uuid",
"pattern": "^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$"
},
{
"type": "null"
}
]
},
"remotion_code": {
"anyOf": [
{
"type": "object",
"properties": {
"scenes": {
"maxItems": 100,
"type": "array",
"items": {
"oneOf": [
{
"type": "object",
"properties": {
"duration": {
"anyOf": [
{
"type": "number",
"exclusiveMinimum": 0,
"maximum": 3600
},
{
"type": "null"
}
]
},
"hidden": {
"type": "boolean"
},
"type": {
"type": "string",
"const": "hook"
},
"content": {
"type": "object",
"properties": {
"appName": {
"anyOf": [
{
"type": "string",
"maxLength": 20000
},
{
"type": "null"
}
]
},
"tagline": {
"anyOf": [
{
"type": "string",
"maxLength": 20000
},
{
"type": "null"
}
]
}
},
"additionalProperties": {}
}
},
"required": [
"type",
"content"
],
"additionalProperties": {}
},
{
"type": "object",
"properties": {
"duration": {
"anyOf": [
{
"type": "number",
"exclusiveMinimum": 0,
"maximum": 3600
},
{
"type": "null"
}
]
},
"hidden": {
"type": "boolean"
},
"type": {
"type": "string",
"const": "feature"
},
"content": {
"type": "object",
"properties": {
"screenshotIndex": {
"type": "integer",
"minimum": 0,
"maximum": 99
},
"title": {
"type": "string",
"maxLength": 20000
},
"subtitle": {
"anyOf": [
{
"type": "string",
"maxLength": 20000
},
{
"type": "null"
}
]
}
},
"required": [
"screenshotIndex",
"title"
],
"additionalProperties": {}
}
},
"required": [
"type",
"content"
],
"additionalProperties": {}
},
{
"type": "object",
"properties": {
"duration": {
"anyOf": [
{
"type": "number",
"exclusiveMinimum": 0,
"maximum": 3600
},
{
"type": "null"
}
]
},
"hidden": {
"type": "boolean"
},
"type": {
"type": "string",
"const": "text-only"
},
"content": {
"type": "object",
"properties": {
"headline": {
"type": "string",
"maxLength": 20000
},
"subheadline": {
"anyOf": [
{
"type": "string",
"maxLength": 20000
},
{
"type": "null"
}
]
}
},
"required": [
"headline"
],
"additionalProperties": {}
}
},
"required": [
"type",
"content"
],
"additionalProperties": {}
},
{
"type": "object",
"properties": {
"duration": {
"anyOf": [
{
"type": "number",
"exclusiveMinimum": 0,
"maximum": 3600
},
{
"type": "null"
}
]
},
"hidden": {
"type": "boolean"
},
"type": {
"type": "string",
"const": "closeup"
},
"content": {
"type": "object",
"properties": {
"screenshotIndex": {
"type": "integer",
"minimum": 0,
"maximum": 99
},
"caption": {
"anyOf": [
{
"type": "string",
"maxLength": 20000
},
{
"type": "null"
}
]
},
"focusRegion": {
"anyOf": [
{
"type": "object",
"properties": {
"x": {
"type": "number"
},
"y": {
"type": "number"
},
"width": {
"type": "number",
"exclusiveMinimum": 0
},
"height": {
"type": "number",
"exclusiveMinimum": 0
}
},
"required": [
"x",
"y",
"width",
"height"
]
},
{
"type": "null"
}
]
}
},
"required": [
"screenshotIndex"
],
"additionalProperties": {}
}
},
"required": [
"type",
"content"
],
"additionalProperties": {}
},
{
"type": "object",
"properties": {
"duration": {
"anyOf": [
{
"type": "number",
"exclusiveMinimum": 0,
"maximum": 3600
},
{
"type": "null"
}
]
},
"hidden": {
"type": "boolean"
},
"type": {
"type": "string",
"const": "multi-phone"
},
"content": {
"type": "object",
"properties": {
"screenshotIndexes": {
"minItems": 1,
"maxItems": 6,
"type": "array",
"items": {
"type": "integer",
"minimum": 0,
"maximum": 99
}
},
"title": {
"anyOf": [
{
"type": "string",
"maxLength": 20000
},
{
"type": "null"
}
]
},
"layout": {
"type": "string",
"enum": [
"cascade",
"fan",
"side-by-side",
"custom"
]
}
},
"required": [
"screenshotIndexes",
"layout"
],
"additionalProperties": {}
}
},
"required": [
"type",
"content"
],
"additionalProperties": {}
},
{
"type": "object",
"properties": {
"duration": {
"anyOf": [
{
"type": "number",
"exclusiveMinimum": 0,
"maximum": 3600
},
{
"type": "null"
}
]
},
"hidden": {
"type": "boolean"
},
"type": {
"type": "string",
"const": "cta"
},
"content": {
"type": "object",
"properties": {
"appName": {
"anyOf": [
{
"type": "string",
"maxLength": 20000
},
{
"type": "null"
}
]
},
"downloadText": {
"anyOf": [
{
"type": "string",
"maxLength": 20000
},
{
"type": "null"
}
]
},
"badge": {
"anyOf": [
{
"type": "string",
"enum": [
"appStore",
"googlePlay",
"both",
"none"
]
},
{
"type": "null"
}
]
}
},
"additionalProperties": {}
}
},
"required": [
"type",
"content"
],
"additionalProperties": {}
}
]
}
},
"theme": {
"type": "object",
"properties": {
"colors": {
"type": "object",
"propertyNames": {
"type": "string"
},
"additionalProperties": {
"type": "string"
}
},
"typography": {
"type": "object",
"properties": {
"fontFamily": {
"type": "string"
},
"titleSize": {
"type": "number",
"exclusiveMinimum": 0
},
"subtitleSize": {
"type": "number",
"exclusiveMinimum": 0
}
},
"additionalProperties": {}
}
},
"additionalProperties": {}
}
},
"required": [
"scenes"
],
"additionalProperties": {}
},
{
"type": "null"
}
]
},
"duration_in_frames": {
"anyOf": [
{
"type": "integer",
"minimum": -9007199254740991,
"maximum": 9007199254740991
},
{
"type": "null"
}
]
}
},
"required": [
"id"
],
"additionalProperties": {}
},
{
"type": "null"
}
]
},
"language": {
"type": "string"
},
"sourceLanguage": {
"type": "string"
},
"availableLanguages": {
"type": "array",
"items": {
"type": "string"
}
}
},
"required": [
"project"
],
"additionalProperties": {}
},
"meta": {
"type": "object",
"required": [
"requestId"
],
"properties": {
"requestId": {
"type": "string",
"format": "uuid"
}
}
}
}
}Errors & retries
Errors use application/problem+json. Check the stable code and keep requestId when contacting support. Respect Retry-After on 429 responses.